Pārlūkot izejas kodu

Update for Shellfu v0.10.0

Alois Mahdal 6 gadus atpakaļ
vecāks
revīzija
41e2b92a63

+ 1
- 1
packaging/debian/control Parādīt failu

8
 
8
 
9
 Package: __MKIT_PROJ_PKGNAME__
9
 Package: __MKIT_PROJ_PKGNAME__
10
 Architecture: all
10
 Architecture: all
11
-Depends: bash, shellfu-bash, shellfu-bash-core, shellfu-bash-extras
11
+Depends: bash, shellfu-bash, shellfu-bash-inigrep, shellfu-bash-pretty, shellfu-sh-exit
12
 Description: __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
12
 Description: __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
13
  saturnin is Shellfu library that helps you easily build toolkit from
13
  saturnin is Shellfu library that helps you easily build toolkit from
14
  various scripts that you may have lying around.  Instead of having a
14
  various scripts that you may have lying around.  Instead of having a

+ 4
- 3
packaging/template.spec Parādīt failu

8
 
8
 
9
 BuildArch:	noarch
9
 BuildArch:	noarch
10
 BuildRequires:	coreutils git
10
 BuildRequires:	coreutils git
11
-Requires:	shellfu-bash
12
-Requires:	shellfu-bash-core
13
-Requires:	shellfu-bash-extras
11
+Requires:	shellfu-bash => 0.10.0-1
12
+Requires:	shellfu-bash-inigrep
13
+Requires:	shellfu-bash-pretty
14
+Requires:	shellfu-sh-exit
14
 
15
 
15
 %description
16
 %description
16
 saturnin is Shellfu library that helps you easily build toolkit from
17
 saturnin is Shellfu library that helps you easily build toolkit from

+ 1
- 1
tests/TF_HEADER Parādīt failu

1
 #!/bin/bash
1
 #!/bin/bash
2
-. "$(shellfu-get path)" || exit 3
2
+. "$(sfpath)" || exit 3
3
 echo -n "version: "
3
 echo -n "version: "
4
 shellfu version saturnin
4
 shellfu version saturnin

+ 1
- 1
tests/cli/TF_RUN Parādīt failu

5
 
5
 
6
 PRETTY=plain
6
 PRETTY=plain
7
 
7
 
8
-. "$(shellfu-get path)" || tf_exit_error "failed to init shellfu"
8
+. "$(sfpath)" || tf_exit_error "failed to init shellfu"
9
 shellfu import saturnin  || tf_exit_error "failed to import saturnin"
9
 shellfu import saturnin  || tf_exit_error "failed to import saturnin"
10
 
10
 
11
 tf_enum_subtests() {
11
 tf_enum_subtests() {

+ 1
- 1
tests/saturnin-conf/TF_RUN Parādīt failu

3
 . "$TF_DIR/include/subtest.sh"
3
 . "$TF_DIR/include/subtest.sh"
4
 . "$TF_DIR/include/tools.sh"
4
 . "$TF_DIR/include/tools.sh"
5
 
5
 
6
-. "$(shellfu-get path)" || tf_exit_error "failed to init shellfu"
6
+. "$(sfpath)" || tf_exit_error "failed to init shellfu"
7
 shellfu import saturnin  || tf_exit_error "failed to import saturnin"
7
 shellfu import saturnin  || tf_exit_error "failed to import saturnin"
8
 
8
 
9
 tf_enum_subtests() {
9
 tf_enum_subtests() {

+ 1
- 1
tests/saturnin-get/TF_RUN Parādīt failu

5
 
5
 
6
 PRETTY=plain
6
 PRETTY=plain
7
 
7
 
8
-. "$(shellfu-get path)" || tf_exit_error "failed to init shellfu"
8
+. "$(sfpath)" || tf_exit_error "failed to init shellfu"
9
 shellfu import saturnin  || tf_exit_error "failed to import saturnin"
9
 shellfu import saturnin  || tf_exit_error "failed to import saturnin"
10
 
10
 
11
 tf_enum_subtests() {
11
 tf_enum_subtests() {